/* Have fun adding your style here :) - PS: At all times this file should contain a comment or a rule, otherwise opera might act buggy :( */

/* General Custom CSS */
:root {
  --blunk-green: rgb(63, 164, 53);
  
}

.mx-0 {
  margin-left: 0 !important;
  margin-right: 0 !important;
}

.my-0 {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
}

.mt-0 {
  margin-top: 0 !important;
}

.mb-0 {
  margin-bottom: 0 !important;
}

.ml-0 {
  margin-left: 0 !important;
}
.mr-0 {
  margin-right: 0 !important;
}


.blunk-txt {
  color: var(--blunk-green);
}

.sprd-header__title sprd__headline {}

.sprd__caption-link sprd-hc-m2 {}

.sprd-startpage-preview-tiles__name {}

#BorlabsCookieBoxWidget svg {
  display: none;
}

#BorlabsCookieBoxWidget a.borlabs-cookie-preference::after {
  content: "Cookie-Einstellungen";
  display: flex;
  font-size: 11px;
  font-weight: 700;
  color: var(--enfold-header-color-meta, #808080);
  background: var(--enfold-header-color-bg, #e6e6e6);
  padding: 1rem;
}

#BorlabsCookieBoxWidget a.borlabs-cookie-preference:hover,
#BorlabsCookieBoxWidget a.borlabs-cookie-preference:hover::after {
  font-size: 11px;
  font-weight: 700;
  color: var(--enfold-header-color-color, #333);
}


.job-archive-headline-1,
.job-archive-headline-2 {
  text-align: center;
}

.job-archive-headline-1 {
  font-size: 25px;
  font-weight: 400;
  margin-bottom:0;
}

.job-archive-headline-2 {
  font-size: 19px;
  font-weight: 400;
  margin-top: 25px;
  margin-bottom: 50px;
}


.filter-criteria .facetwp-checkbox {
  background: url('../images/checkbox.svg') no-repeat left center;
  background-size: 12px;
}

.filter-criteria .facetwp-checkbox.checked {
  background: url('../images/checkbox-checked.svg') no-repeat left center;
  background-size: 12px;
}

.filter-criteria .facetwp-checkbox.checked .facetwp-display-value {
  color: var(--blunk-green);
}

.filter-criteria .facetwp-type-checkboxes .facetwp-counter {
  display: none;
}

.filter-criteria .facetwp-display-value {
font-size: 13px;
font-weight: 400;
}


.jobs-wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: space-between;
  padding-right: 30px;
}

.jobs-wrapper .job-entry {
  width: calc( 100% / 2 - 10px );
  border: 1px solid rgb(225, 225, 225);
  box-shadow: 5px 5px 10px 0px rgba(227, 227, 227, 0.75);
}

.job-box {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  text-decoration: none;
  color: inherit;
  box-sizing: border-box;
}

.job-box .job-title {
  display: flex;
  flex-direction: column;
  gap: 4px;
  padding: 10px;
  font-size: 13px;
  font-style: normal;
  background: var(--blunk-green);
  color: #fff;
}

.job-box .job-footer {
  display: flex;
  margin-top: auto;
}

.job-box .location,
.job-box .type {
  font-size: 13px;
  font-weight: bold;
  color: var(--blunk-green);
  padding-top: 5px;
  padding-bottom: 10px;
}

.single-blunk_jobs .content,
.single-blunk_jobs .content a,
.single-blunk_jobs .content b,
.single-blunk_jobs .content strong {
	color: #000 !important;
}

.single-blunk_jobs .sidebar .sub-menu li {
	line-height: 22px;
}
.single-blunk_jobs .sidebar .sub-menu a {
  padding:  4px 0 5px 20px !important;
	line-height: 13px;
}

.single-blunk_jobs .sidebar .menu a:hover,
.single-blunk_jobs .sidebar .sub-menu a:hover {
  color: #333;
}

/* Spezifische Eigenschaften */
.job-box .location {
  flex: 0 0 60%;
  padding-left: 10px;
}

.job-box .type {
  flex: 0 0 40%;
  padding-right: 10px;
  text-align: right;
}

.template-single-job .blunk_jobs h1,
.template-single-job .blunk_jobs .h1 {
  font-size: 19px;
  color: var(--blunk-green);
}

.template-single-job .blunk_jobs h2,
.template-single-job .blunk_jobs .h2 {
  font-size: 19px;
  color: var(--blunk-green);
}

.template-single-job .blunk_jobs h1.dark,
.template-single-job .blunk_jobs .h1.dark,
.template-single-job .blunk_jobs h2.dark,
.template-single-job .blunk_jobs .h2.dark {
  color: #000;
}

.blunk_jobs h3,
.blunk_jobs .h3 {
  font-size: 13px;
}

.job-row {
  margin-bottom: 1.5rem;
}

/* 📱 Standardlayout: 1 Spalte */
.job-columns {
  display: grid;
  grid-template-columns: 1fr;
}

.job-columns.job-conditions ul {
  margin-bottom: 0;
}

.job-conditions-fullwidth {
  margin-bottom: 40px;
}

.job-columns .job-column-right {
  margin-top: 24px;
}

/* Ab 580px: 2 Spalten nebeneinander */
@media (min-width: 580px) {
  .job-columns {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 2rem;
  }

  .job-columns .job-column-right {
    margin-top: 0;
  }
}

.back-to-archive {
  display: inline-block;
  margin-top: 1rem;
  margin-bottom: 2rem;
}

#filter-menu {
  display: flex;
  align-items: center;
  padding-left: calc(25px * 0.6 - 4.5px);
  padding-right: calc(25px * 0.6 - 4.5px);
  margin-left: 30px;
  background: transparent;
  border: 0;
  color: var( --enfold-main-color-color );
}

.filter-criteria > .filter-toggle {
  position: absolute;
  opacity: 0;
  display: none; 
}

.filter-criteria > .filter-panel {
    height: 0;
    transition: .3s all;
    overflow: hidden;
}

.filter-criteria > .filter-toggle:checked ~ .filter-criteria-title:after {
  transform: rotate(180deg); 
}

#list-filter .filter-criteria > .filter-toggle ~ .filter-criteria-title {
  display: block;
  font-size: 19px;
  font-weight: 400;
  margin-bottom: 40px;
  cursor: pointer;
  /* outline: 1px solid greenyellow; */
}

#list-filter .filter-criteria > .filter-toggle ~ .filter-criteria-title:after { 
  background: url('../images/bullet-filter.svg') no-repeat center center;
  height: 13px;
  width: 13px;
  content: '';
  display: inline-block;
  margin-left: 10px;
  transform: rotate(180deg); 
}

#list-filter .filter-criteria > .filter-toggle:checked ~ .filter-criteria-title {
  /* outline: 1px solid red; */
  margin-bottom: 10px;
}

#list-filter .filter-criteria > .filter-toggle:checked ~ .filter-criteria-title::after {
  transform: rotate(0);   
}

/*
.filter-criteria > .filter-panel {
  display: none;
}
*/

.filter-criteria > .filter-toggle:checked ~ .filter-panel {
  height: auto; 
}

/*
Desktop Styles
================================================== */
/* Note: Add new css to the media query below that you want to only effect the desktop view of your site */

@media only screen and (min-width: 768px) {
  /* Add your Desktop Styles here */

  .filter-btn-wrapper
  #filter-menu, 
  #filter-menu-close-txt {
    display: none;
  }

  #list-filter {
        display: block;
  }

/*
  #top #list-filter input[type="checkbox"] { 
    display: none;
  }
*/

}

/*
Tablet Styles
================================================== */
@media only screen and (min-width: 768px) and (max-width: 991px)  { 

  #filter-menu {
    display: flex;
    align-items: center;
    padding-left: calc(25px * 0.6 - 4.5px);
    padding-right: calc(25px * 0.6 - 4.5px);
    margin-left: 30px;
    background: transparent;
    border: 0;
    color: var( --enfold-main-color-color );
  }
}


/*
Mobile Styles
================================================== */
/* Note: Add new css to the media query below that you want to only effect the Mobile and Tablet Portrait view */

@media only screen and (max-width: 767px) {
  /* Add your Mobile Styles here */

  #filter-menu {
    display: flex;
    align-items: center;
    padding-left: calc(25px * 0.6 - 4.5px);
    padding-right: calc(25px * 0.6 - 4.5px);
    margin-left: 30px;
    background: transparent;
    border: 0;
    color: var( --enfold-main-color-color );
  }

  #filter-menu-close-txt {
    color: var( --enfold-main-color-color );
  }


  #filter-menu .dropdown-icon, #filter-menu-close .dropdown-icon {
    display: flex;
    align-items: center;
    height: 16px;
    margin-right: .5rem;
  }

  #filter-menu svg, 
  #filter-menu-close svg {
    display: inline-block;
    vertical-align: top;
    height: 100%;
    width: auto;
  }

  #filter-menu svg path, 
  #filter-menu-close svg path {
    fill: var( --blunk-green );
  }

  #list-filter {
      display: none;
  }

  #list-filter.show {
    display: flex;
    flex-direction: column;
    max-width: 255px;
    /* margin-right: 85px; */
  }

  .responsive #top.single-blunk_jobs #main .sidebar {
    display: block;
    text-align: left;
    border-left: none;
    border-right: none;
    border-top-style: dashed;
    border-top-width: 1px;
    width: 100%;
    clear: both;
  }
  
  .responsive #top.single-blunk_jobs #main .sidebar .inner_sidebar{
    margin-left: 0;
  }
}

@media only screen and (max-width: 1024px) {
    .jobs-wrapper .job-entry {
      width: 100%;
    }

  
  .job-box .location,
  .job-box .type {
    padding-top: 0;
  }
}
